package com.hc.model.FJYD;

import android.os.Parcel;
import android.os.Parcelable;

public class AuthRequestBody implements Parcelable{


    /**
     * supercid : 00000062201705271002110079199584
     * businessType : 1
     * contentType : 0
     * playType : 1
     * tid : -1
     * cid : 00000062201705271002120028799574
     * idflag : 1
     */

    private String businessType = "1";
    private String contentType = "0";
    private String playType = "1";
    private String tid = "";
    private String cid;
    private String idflag = "1";

    public AuthRequestBody(String cid) {
        this.cid = cid;
    }

    public String getBusinessType() {
        return businessType;
    }

    public void setBusinessType(String businessType) {
        this.businessType = businessType;
    }

    public String getContentType() {
        return contentType;
    }

    public void setContentType(String contentType) {
        this.contentType = contentType;
    }

    public String getPlayType() {
        return playType;
    }

    public void setPlayType(String playType) {
        this.playType = playType;
    }

    public String getTid() {
        return tid;
    }

    public void setTid(String tid) {
        this.tid = tid;
    }

    public String getCid() {
        return cid;
    }

    public void setCid(String cid) {
        this.cid = cid;
    }

    public String getIdflag() {
        return idflag;
    }

    public void setIdflag(String idflag) {
        this.idflag = idflag;
    }


    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(this.businessType);
        dest.writeString(this.contentType);
        dest.writeString(this.playType);
        dest.writeString(this.tid);
        dest.writeString(this.cid);
        dest.writeString(this.idflag);
    }

    protected AuthRequestBody(Parcel in) {
        this.businessType = in.readString();
        this.contentType = in.readString();
        this.playType = in.readString();
        this.tid = in.readString();
        this.cid = in.readString();
        this.idflag = in.readString();
    }

    public static final Creator<AuthRequestBody> CREATOR = new Creator<AuthRequestBody>() {
        @Override
        public AuthRequestBody createFromParcel(Parcel source) {
            return new AuthRequestBody(source);
        }

        @Override
        public AuthRequestBody[] newArray(int size) {
            return new AuthRequestBody[size];
        }
    };

    @Override
    public String toString() {
        return "AuthRequestBody{" +
                "businessType='" + businessType + '\'' +
                ", contentType='" + contentType + '\'' +
                ", playType='" + playType + '\'' +
                ", tid='" + tid + '\'' +
                ", cid='" + cid + '\'' +
                ", idflag='" + idflag + '\'' +
                '}';
    }
}
